I've wrote a little patch for the bug in teximg (can only include fomula on
[ikiwiki.git] / debian / NEWS
1 ikiwiki (2.20) unstable; urgency=low
2
3   The template plugin has begin to htmlize the variables passed to templates.
4   This is normally what you want, but to get the old behavior and get at the
5   raw value, you can use `<TMPL_VAR raw_variable>` in a template.
6  
7  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
8
9 ikiwiki (2.16) unstable; urgency=low
10
11   Many of the pages in ikiwiki's basewiki have been moved and renamed in this
12   release, to avoid the basewiki including pages with names like "blog".
13   Redirection pages have been left behind for these moved pages temporarily,
14   and will be removed later.
15
16   If you use the calendar plugin, ikiwiki is now smarter and your nightly
17   cron job to update the wiki doesn't need to rebuild everything. Just pass
18   --refresh to ikiwiki in the cron job and it will update only pages that
19   contain out of date calendars.
20
21  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
22
23 ikiwiki (2.14) unstable; urgency=low
24
25   This version of ikiwiki is more picky about symlinks in the path leading
26   to the srcdir, and will refuse to use a srcdir specified by such a path.
27   This  was necessary to avoid some potential exploits, but could potentially
28   break (semi-)working wikis. If your wiki has a srcdir path containing a
29   symlink, you should change it to use a path that does not.
30
31  -- Joey Hess <joeyh@debian.org>  Mon, 26 Nov 2007 14:57:57 -0500
32
33 ikiwiki (2.9) unstable; urgency=low
34
35   Since ikiwiki 2.0 was released, some limitiations have been added to what
36   ikiwiki considers a WikiLink. In short, if there are any spaces in between
37   the brackets, ikiwiki no longer considers it to be a WikiLink. If your wiki
38   contains things meant to be WikiLinks that contain spaces, you will need to
39   fix them, by replacing the spaces with underscores.
40   
41   WikiLink have always been documented to not contain spaces, but bugs in
42   ikiwiki made it treat some text with spaces as WikiLinks. Most of these
43   bugs were fixed in version 2.2, and a final bug was fixed in this 2.9
44   release. These fixes are necessary to avoid ambiguity between
45   WikiLinks and PreProcessorDirectives. Apologies for any inconvenience
46   these bugs (and their fixes) may have caused.
47
48  -- Joey Hess <joeyh@debian.org>  Sat, 29 Sep 2007 14:37:18 -0400
49
50 ikiwiki (2.6) unstable; urgency=low
51
52   In this version the rst plugin allows raw html to be embedded in rst files.
53   As long as the htmlscrubber is enabled, this should be safe. If you are
54   using the rst plugin without the htmlscrubber in a publically writable wiki,
55   you should turn on the htmlscrubber.
56
57  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 18:37:22 -0400
58
59 ikiwiki (2.5) unstable; urgency=low
60
61   Due to some config changes in this version, wrappers need to be rebuilt on
62   upgrade. If you listed your wiki in /etc/ikiwiki/wikilist this will be
63   one automatically when the Debian package is upgraded.
64
65  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 17:54:40 -0400
66
67 ikiwiki (2.1) unstable; urgency=low
68
69   Some wikis need to be rebuilt on upgrade to this version, due to changes to
70   page templates and the style sheet. If you listed your wiki in
71   /etc/ikiwiki/wikilist this will be done automatically when the Debian
72   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
73
74  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
75
76 ikiwiki (2.00) unstable; urgency=low
77
78   With the 2.0 release of ikiwiki, some major changes have been made to the
79   default configuration:
80
81   * The 'usedirs' setting is enabled by default. This *will* break all URLs
82     to wikis that did not have 'usedirs' turned on before, unless you follow
83     the procedure described at <http://ikiwiki.info/tips/switching_to_usedirs>,
84     or edit your setup file to turn usedirs off:
85        usedirs => 0,
86
87   * OpenID logins are now enabled by default, if the Net::OpenID::Consumer
88     perl module is available. Password logins are also still enabled
89     by default. If you like, you can turn either OpenID or password logins
90     off via the 'disable_plugins' setting.
91
92  -- Joey Hess <joeyh@debian.org>  Sun, 29 Apr 2007 19:00:43 -0400
93
94 ikiwiki (1.51) unstable; urgency=low
95
96   Some wikis need to be rebuilt on upgrade to this version, due to changes to
97   page layout and the style sheet. If you listed your wiki in
98   /etc/ikiwiki/wikilist this will be done automatically when the Debian
99   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
100
101  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
102
103 ikiwiki (1.50) unstable; urgency=low
104
105   Permalinks and guids in rss and atom feeds for wikis using the usedirs
106   options will change in this release. If you have already enabled usedirs,
107   you may need to take steps to avoid flooding aggregators.
108
109  -- Joey Hess <joeyh@debian.org>  Sat, 14 Apr 2007 16:08:46 -0400
110
111 ikiwiki (1.49) unstable; urgency=low
112
113   Third-party plugins that use htmlpage() or abs2rel() to generate links
114   may need changes to support the new "usedirs" option.
115
116  -- Joey Hess <joeyh@debian.org>  Sun, 01 Apr 2007 16:20:09 -0400
117
118 ikiwiki (1.47) unstable; urgency=low
119  
120   Due to a security fix, wikis that have the htmlscrubber enabled can no
121   longer use the meta plugin to insert html link and meta tags.
122
123   Some special case methods have been added for safely including stylesheets,
124   and for doing openid delegation. See the meta plugin docs for details.
125  
126  -- Joey Hess <joeyh@debian.org>  Wed, 21 Mar 2007 14:18:40 -0400
127
128 ikiwiki (1.45) unstable; urgency=low
129
130   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
131   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
132   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
133
134  -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2007 23:02:52 -0500
135
136 ikiwiki (1.44) unstable; urgency=low
137
138   The htmllink() function has changed slightly and plugins that use it may
139   need to change how they call it. This function's first three parameters
140   are unchanged, but additional options are now passed using named
141   parameters. If you used htmllink with more than 3 parameters, you will
142   need to change it. The plugin interface version has been increased to 1.02
143   to reflect this change.
144
145  -- Joey Hess <joeyh@debian.org>  Mon, 19 Feb 2007 21:10:12 -0500
146
147 ikiwiki (1.42) unstable; urgency=low
148
149   The anonok setting in config files has been removed. To enable
150   httpauth support on your wiki, you should now enable the anonok plugin,
151   instead.
152
153   Third-party plugins that use pagespec_match() should be updated to pass
154   the new third parameter (from) to that function. This is needed for the
155   new relative glob matching to work.
156
157  -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
158
159 ikiwiki (1.34) unstable; urgency=low
160
161   The httpauth setting in config files has been removed. To enable
162   httpauth support on your wiki, you should now enable the httpauth plugin,
163   instead.
164
165   This release includes OpenID support that is enabled through the openid
166   plugin. I recommend turning this on to make it easier for users to sign
167   in to your wiki.
168
169  -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
170
171 ikiwiki (1.32) unstable; urgency=low
172
173   There is a change to the plugin interface in this version. Any plugins that
174   modify data in %links should pass scan => 1 when registering the hook that
175   does so.
176
177  -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
178
179 ikiwiki (1.29) unstable; urgency=low
180
181   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
182   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
183   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
184
185   There is a change to the plugin interface in this version. Plugins that use
186   %renderedfiles will need to be updated, as the hash's values are now arrays
187   of rendered files. Plugins that cause a page to render additional files
188   should use the new will_render function to register the files.
189
190  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
191
192 ikiwiki (1.22) unstable; urgency=low
193   
194   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
195   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
196   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
197   to force a rebuild.
198
199   If you have modified versions of ikiwiki's html templates, you will need
200   to update your templates to link to the stylesheet file using
201   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
202   STYLEURL.
203
204   There have also been some changes to the plugin interface:
205   Any plugins that use santize, htmlize, or format hooks will need to be
206   updated for this version of ikiwiki since these hooks have been changed
207   to use named parameters.
208
209  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
210
211 ikiwiki (1.13) unstable; urgency=low
212
213   The GlobList format which was used for specifiying sets of pages, has been
214   replaced with a new, more expressive PageSpec format. While GlobLists will
215   continue to work, that format is deprecated, and you are encouraged to use
216   PageSpecs from now on, and also to change any GlobLists in your wiki to
217   PageSpecs. See the new PageSpec page for details.
218   
219   You will need to rebuild your wiki when upgrading to this version. If you
220   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
221   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
222   rebuild.
223
224  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
225
226 ikiwiki (1.11) unstable; urgency=low
227
228   Some changes to tags in this release, due to a new tag plugin. If you have
229   been using the meta plugin to tag pages, you'll want to enable the tag
230   plugin too, and change things like this:
231
232   [[meta link="foobar"]]
233
234   To this:
235
236   [[tag foobar]]
237
238   The new tags will appear at page footers, and are also easier to type.
239
240   There have also been some changes to the plugin interface, particularly the
241   interface of pagetemplate hooks has changed. See the changelog for details.
242
243  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
244
245 ikiwiki (1.8) unstable; urgency=low
246
247   If your wiki is configured with a setup file, you should modify it to
248   stop setting the "plugin" list directly, and instead add or remove plugins
249   via the add_plugins and disable_plugins lines. For example, if you had:
250
251         plugin => [qw{inline smiley search}],
252
253   Change it to these lines, which disables the default htmlscrubber plugin
254   and adds the two additional plugins:
255
256         add_plugins => [qw{smiley search}],
257         disable_plugins => [qw{htmlscrubber}],
258
259   Making this change makes your ikiwiki setup file more future-proof since
260   new default plugins will be automatically used.
261   
262   You will need to rebuild your ikiwiki wrappers when upgrading to this
263   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
264   done automatically when the Debian package is upgraded. Or use
265   ikiiki-mass-rebuild --refresh to force a refresh.
266
267  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
268
269 ikiwiki (1.1) unstable; urgency=low
270
271   There have been several configuration changes in this release of ikiwiki:
272
273   The --svn and --no-svn switches are removed, instead you should use
274    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
275   be changed to set rcs => "svn"; if your setup file sets svn => 0
276   then change it to use rcs => "" to disable svn.
277
278   The --hyperestraier switch is gone too. To enable searching, turn on the
279   search plugin, by passing --plugin=search or through the plugin setting in
280   the setup file.
281
282   The --sanitize and --no-sanitize switches are also gone, replaced with the
283   htmlscrubber plugin. This plugin is enabled by default, to disable it,
284   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
285   setup file.
286
287   Discussion pages are enabled by default, but if your wiki is configured
288   with a setup file, you need to edit it to keep them enabled on upgrade
289   to this version. Add a line reading:
290   discussion => 1,
291
292   You will need to rebuild your wiki when upgrading to this version.
293   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
294   automatically when the Debian package is upgraded. Or use
295   ikiiki-mass-rebuild to force a rebuild.
296
297  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400